<template>
    <div id="selectedCardsDisplay" class="container text-center">
        <div class="row">
            <br />
            <br />
            <h3>All cards selected in this round</h3>
            <div class="column" v-for="card in selectedCards" :key="card.id">
                <img class="card" v-bind:src="getSelectedCard(card.fileName)"/>
            </div>
            <br />
            <br />
        </div>
    </div>
</template>

<script>
    import axios from 'axios';
    export default {
        name: "selectedCardsDisplay",
        data: function () {
            return {
                selectedCards: []
            }
        },
        props:['roundId'],
        methods: {
            getSelectedCard(filename) {
                return require('../assets/' + filename);
            },
            retrieveSelectedCards() {
                axios.get("https://localhost:44361/api/round/" + this.roundId + "/selectedCards")
                    .then(response => this.selectedCards = response.data);
            },
        },
        created: function () {
            this.retrieveSelectedCards();
        }
    }
</script>

<style scoped>
    .card {
        height: 150px;
        display: flex;
    }
    .column {
        float: left;
        width: 33.33%;
        padding: 5px;
    }
</style>